Retrieve Line Item Usage in JSON Format - m3ter Documentation
Retrieve Line Item Usage in JSON Format
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/bills/{billId}/lineitems/{id}/usage/json \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/bills/{billId}/lineitems/{id}/usage/json"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/bills/{billId}/lineitems/{id}/usage/json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
- 200
{
"downloadUrl": "<string>"
}
- 4XX
{
"message": "<string>"
}
- 5XX
{
"message": "<string>"
}
Authorizations
Authorization
string, header, required
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow. The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
orgId
string, required
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.billId
string, required
UUID of the Billid
string, required
The unique identifier (UUID) of the Bill line item for which to retrieve the usage.
Response
200
application/json
Returns the download URL
- downloadUrl
string
The pre-signed download URL.